Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.axes
Class MatchPatternIterator

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.patterns.NodeTest
                  |
                  +--weblogic.apache.xpath.axes.PredicatedNodeTest
                        |
                        +--weblogic.apache.xpath.axes.LocPathIterator
                              |
                              +--weblogic.apache.xpath.axes.MatchPatternIterator

public class MatchPatternIterator
extends LocPathIterator

This class treats a LocationPath as a filtered iteration over the tree, evaluating each node in a super axis traversal against the LocationPath interpreted as a match pattern. This class is useful to find nodes in document order that are complex paths whose steps probably criss-cross each other.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Field Summary
`protected StepPattern` | `m_pattern` This is the select pattern, translated into a match pattern.
`protected int` | `m_superAxis` The traversal axis from where the nodes will be filtered.
`protected weblogic.apache.xml.dtm.DTMAxisTraverser` | `m_traverser` The DTM inner traversal class, that corresponds to the super axis.

Fields inherited from class weblogic.apache.xpath.axes.LocPathIterator
`m_cdtm, m_clones, m_context, m_currentContextNode, m_execContext, m_last, m_lastFetched, m_next, m_prefixResolver`

Fields inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`m_foundLast, m_lpi, m_predCount, m_proximityPositions`

Fields inherited from class weblogic.apache.xpath.patterns.NodeTest
`m_name, m_whatToShow, SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Method Summary
`short` | `acceptNode(int n, XPathContext xctxt)` Test whether a specified node is visible in the logical view of a TreeWalker or NodeIterator.
`protected int` | `getNextNode()` Get the next node via getNextXXX.
`int` | `nextNode()` Returns the next node in the set and advances the position of the iterator in the set.
`void` | `setRoot(int context, java.lang.Object environment)` Initialize the context values for this expression after it is cloned.

Methods inherited from class weblogic.apache.xpath.axes.LocPathIterator
`allowDetachToRelease, asIterator, asNode, bool, cloneWithReset, detach, execute, findLastPos, getAxis, getCachedNodes, getContext, getCurrentContextNode, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getFilter, getFoundLast, getIsTopLevel, getLast, getLastPos, getLength, getPrefixResolver, getRoot, getWhatToShow, getXPathContext, isDocOrdered, isFresh, isMutable, isNodesetExpr, item, previousNode, reset, returnNextNode, runTo, setCurrentContextNode, setCurrentPos, setEnvironment, setIsTopLevel, setItem, setLast, setNextPosition, setShouldCacheNodes, size`

Methods inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`acceptNode, canTraverseOutsideSubtree, clone, countProximityPosition, fixupVariables, getLocPathIterator, getPredicateCount, getPredicateIndex, getProximityPosition, getProximityPosition, getProximityPosition, initPredicateInfo, initProximityPosition, isReverseAxes, nodeToString, resetProximityPositions, setLocPathIterator, setPredicateCount`

Methods inherited from class weblogic.apache.xpath.patterns.NodeTest
`calcScore, debugWhatToShow, execute, execute, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class weblogic.apache.xpath.Expression
`assertion, error, executeCharsToContentHandler, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_pattern

    protected StepPattern m_pattern

  This is the select pattern, translated into a match pattern.

### m_superAxis

    protected int m_superAxis

  The traversal axis from where the nodes will be filtered.

### m_traverser

    protected weblogic.apache.xml.dtm.DTMAxisTraverser m_traverser

  The DTM inner traversal class, that corresponds to the super axis.

Method Detail

### setRoot

    public void setRoot(int context,
                        java.lang.Object environment)

  Initialize the context values for this expression after it is cloned.

  Parameters:
    `execContext` - The XPath runtime context for this transformation.
  Overrides:
    setRoot in class LocPathIterator

### getNextNode

    protected int getNextNode()

  Get the next node via getNextXXX. Bottlenecked for derived class override.

  Returns:
    The next node on the axis, or DTM.NULL.

### nextNode

    public int nextNode()

  Returns the next node in the set and advances the position of the iterator in the set. After a NodeIterator is created, the first call to nextNode() returns the first node in the set.

  Returns:
    The next `Node` in the set being iterated over, or `null` if there are no more members in that set.
  Overrides:
    nextNode in class LocPathIterator

### acceptNode

    public short acceptNode(int n,
                            XPathContext xctxt)

  Test whether a specified node is visible in the logical view of a TreeWalker or NodeIterator. This function will be called by the implementation of TreeWalker and NodeIterator; it is not intended to be called directly from user code.

  Parameters:
    `n` - The node to check to see if it passes the filter or not.
  Returns:
    a constant to determine whether the node is accepted, rejected, or skipped, as defined above .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference